Bug 88419 - No output on screen with Radeon FireGL 8700/DVI
No output on screen with Radeon FireGL 8700/DVI
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-04-09 20:10 EDT by Krishnakumar B
Modified: 2007-04-18 12:52 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-04-28 14:43:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
XFree86 output when it works with resolution 1280x1024 (28.59 KB, text/plain)
2003-04-09 20:11 EDT, Krishnakumar B
no flags Details
XFree86 log when it seems to hang and no output is produced on the monitor (28.48 KB, text/plain)
2003-04-09 20:12 EDT, Krishnakumar B
no flags Details
XF86Config (2.53 KB, text/plain)
2003-04-09 20:13 EDT, Krishnakumar B
no flags Details

  None (edit)
Description Krishnakumar B 2003-04-09 20:10:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3) Gecko/20030314

Description of problem:
I have a AGP FireGL Radeon 8700 card connected via the DVI port to a Dell 2000
FP monitor which can do 1600x1200 at 60 Hz. I could install RedHat 9 but when I
try to start X after installing, the monitor is switched off (i.e it goes into
powersave mode). Nothing crashes or hangs but I get no output on the monitor.
This happens 1 out of every 3 times. The other two times I get X with a crappy
resolution of 1280x1024. I have attached logs of both the 1280x1024 and
1600x1024 (where no output shows up). Also attached is lspci -v. If I enable AGP
FastWrite I get a solid hang on the box and I cannot even ping the box. 

Looking at the logs for the case 1600x1200, it seems that the driver tries to
probe the monitor (DDC) and fails miserably. It then spits out a bogus Modeline
(which I think is refused by the monitor) even though I am telling it to use a
specific modeline. 

Since DRM is working fine (in both cases), I guess the problem is that the
driver doesn't know to handle the flat panel monitor. Is there a way that I can
tell the driver to stop being smart and just use the Modelines that I give it ?
BTW, I generated the modelines using the program gtf from Mike Harris's website.
I compiled XFree86 using XFree86-4.3.0-2.1.src.rpm from the same place, with the
faint hope that it might resolve the issue. I can try with the original RPMs
shipped with RedHat but I am sure it doesn't change anything. 

Hardware should be fine as I got X working at 1600x1200 with ATI's drivers for
RedHat-8.0. I can always wait for the same drivers from ATI for RedHat 9 but I
would like to run a kernel which is not 
tainted :-)

Willing to test patches. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start X.

Actual Results:  No output on monitor.

Expected Results:  Atleast something on monitor...

Additional info:
Comment 1 Krishnakumar B 2003-04-09 20:11:24 EDT
Created attachment 91054 [details]
XFree86 output when it works with resolution 1280x1024
Comment 2 Krishnakumar B 2003-04-09 20:12:20 EDT
Created attachment 91055 [details]
XFree86 log when it seems to hang and no output is produced on the monitor
Comment 3 Krishnakumar B 2003-04-09 20:13:15 EDT
Created attachment 91056 [details]
Comment 4 Mike A. Harris 2003-04-11 06:01:37 EDT
Experiment with the various options on the "radeon" manpage and see if you
can get it to work.  If you do, please indicate which options work for you.

You might also want to try the xfree86@xfree86.org mailing list perhaps.
If you do, please update the bug report with any useful information you
Comment 5 Krishnakumar B 2003-04-28 14:43:50 EDT
XFree86-4.3.0-6.i386.rpm from Rawhide fixed my problem. Now I have 1600x1200
pixels on my Dell 2000FP monitor. Thanks a lot !

Note You need to log in before you can comment on or make changes to this bug.